:root {
    --mainColor: #055587;
    --mainSecondColor: #7db506;
    --mainShadow: #4a8cb3;
    --mainFocus: #2d5871;
    --mainBg: #e7f4f6;
    --mainColorRBG:5, 85, 135 ;
}

body {
    color: var(--bs-body-color);
    background-color: var(--bs-body-bg);
}

/* start for color */
.text-second-theme{
    color:var(--mainSecondColor);
}
.nav-pills .nav-link.active {
     border-color: var(--mainColor);
     box-shadow: 0 4px 18px -4px rgba(var(--mainColorRBG), 0.65);
}
.btn-grad {
    background-image: linear-gradient(to right, #314755 0%, #26a0da  51%, #314755  100%);
    margin: 10px;
    padding: 15px 45px;
    text-align: center;
    text-transform: uppercase;
    transition: 0.5s;
    background-size: 200% auto;
    color: white;
    box-shadow: 0 0 20px #eee;
    border-radius: 10px;
    display: block;
}

.btn-grad:hover {
    background-position: right center; /* change the direction of the change here */
    color: #fff;
    text-decoration: none;
}

.btn-save{
    color: #fff;
    background: linear-gradient(47deg, #7cb504, #386b89);
}

.btn-save:focus,
.btn-save:active,
.btn-save.active {
    color: #fff;
    background: linear-gradient(47deg, #386b89, #7cb504);
    background-color: var(--mainFocus) !important;
}

.btn-primary {
    border-color: var(--mainColor) !important;
    background-color: var(--mainColor) !important;
}

.btn-primary:focus,
.btn-primary:active,
.btn-primary.active {
    color: #fff;
    background-color: var(--mainFocus) !important;
}

.bg-primary {
    background-color: var(--mainColor) !important;
}

footer a {
    color: var(--mainColor) !important;
}

.dropdown-item:hover,
.dropdown-item:focus {
    color: var(--mainShadow) !important;
    background-color: #e7f4f6 !important;
}

.btn-primary:hover:not(.disabled):not(:disabled) {
    box-shadow: 0 8px 25px -8px var(--mainColor) !important;
}

.horizontal-menu .header-navbar.navbar-horizontal ul#main-menu-navigation>li.active>a {
    background: linear-gradient(277deg, var(--mainColor), rgba(124, 181, 4, 0.7));
    box-shadow: none;
    color: #fff;
    border-radius: 4px;
}
.horizontal-menu .header-navbar.navbar-horizontal ul#main-menu-navigation>li>.dropdown-menu .active>a {
    background: var(--mainBg);
    color: var(--mainColor);
}

.avatar.bg-light-primary {
    color: var(--mainFocus) !important;
    background-color: var(--mainBg);
}

.page-item.active .page-link {
    background-color: var(--mainColor);
}

.form-control:focus {
    border-color: var(--mainColor);
}

.form-select:focus {
    border-color: var(--mainColor);
}

.input-group:not(.bootstrap-touchspin):focus-within .form-control {
    border-color: var(--mainColor);
}

.input-group:not(.bootstrap-touchspin):focus-within .input-group-text {
    border-color: var(--mainColor);
}

.horizontal-menu .navbar-dark .nav-item.active>a {
    border-bottom: 2px solid var(--mainColor);
}

.btn-create {
    position: absolute;
    right: 30px;
}

.float-right {
    float: right !important;
}

.top-logo {
    width: 15% !important;
}

.horizontal-menu .header-navbar.navbar-brand-center .navbar-header .navbar-brand .brand-logo img {
    max-width: none;
}

.dropdown-user {
    z-index: 1000;
}

.auth-wrapper .brand-logos {
    display: flex;
    justify-content: center;
    margin: 0 0 3rem 0;
}

.top-logos {
    position: absolute;
    width: 30% !important;
}

.swal2-styled.swal2-confirm {
    background-color: var(--mainColor) !important;
}
.flatpickr-calendar{
    background-color: #ffffff;
    border-radius:  5px;
    z-index: 1000;
    box-shadow: 0px 0px 3px 0px var(--mainShadow) !important;
}
html .pace .pace-progress{
    background-color: var(--mainColor);
}
@media (min-width: 481px) and (max-width: 1200px) {
    .main-menu .navbar-header .navbar-brand .brand-logo img {
        max-width: none;
    }

    .top-logo {
        position: absolute;
        left: 70px;
        width: 40% !important;
    }

    .main-menu .navbar-header .navbar-brand {
        display: block;
        align-items: center;
        margin-top: .35rem;
        font-size: inherit;
    }
}
.ui-widget {
    z-index: 99999 !important;
}

.multiline-ellipsis:before {
    content: "...";
    position: absolute;
    right: 0;
    bottom: 0;
}

.multiline-ellipsis:after {
    content: "";
    position: absolute;
    right: 0;
    width: 1rem;
    height: 1rem;
    margin-top: 0.2rem;
    /*background: white;*/
}

.show-more {
    height: auto;
    max-height: fit-content;
}

.frim-image-link img{
    border: 1px solid var(--mainColor);
}
.frim-image-link:hover img{
    border-color: var(--mainSecondColor);
}

.multiline-ellipsis {
    overflow: hidden;
    position: relative;
    line-height: 1.2rem;
    max-height: calc(1.2rem * 4);
    width: 280px;
    text-align: justify;
    margin-right: -1rem;
    padding-right: 1rem;
}
.header-navbar .navbar-container ul.navbar-nav li .scrollable-container {
    position: relative;
    height: 300px;
    overflow: auto;
}
.h_300{
    height: 300px;
    overflow: auto;
}

.multiline-ellipsis {
    overflow: hidden;
    position: relative;
    line-height: 1.2rem;
    max-height: calc(1.2rem* 4);
    width: 280px;
    text-align: justify;
    margin-right: -1rem;
    padding-right: 1rem;
}
.show-more {
    height: auto;
    max-height: fit-content;
}